Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 885218 - Clean Tasks from DBMS when a Process is cancelled
Summary: Clean Tasks from DBMS when a Process is cancelled
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5
Version: BRMS 5.3.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 19:42 UTC by Amana
Modified: 2020-04-27 01:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPM-3882 0 Major Resolved Clean Tasks from DBMS when a Process is cancelled 2016-03-14 17:56:12 UTC

Description Amana 2012-12-07 19:42:19 UTC
When a process instance is cancelled, the human tasks are set to a status of Exited.  The TaskCleanupProcessEventListener is not removing the task, i18ntext or people assignments from the database like it does when a process instance is completed. 

It seems that the TaskCleanUpProcessListener removes only completed tasks and it does not clean the database when ksession.abortProcessInstance is called.

Comment 1 Amana 2013-01-24 12:40:51 UTC
Has it been fixed on 5.3.1 ?

Comment 2 JBoss JIRA Server 2013-01-28 06:28:03 UTC
Maciej Swiderski <swiderski.maciej@gmail.com> made a comment on jira JBPM-3882

no, it was not yet fixed and thus was not included in 5.3.1

Comment 3 JBoss JIRA Server 2013-02-01 14:20:35 UTC
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-3882 to Resolved

Comment 4 JBoss JIRA Server 2013-02-01 14:20:35 UTC
Maciej Swiderski <swiderski.maciej@gmail.com> made a comment on jira JBPM-3882

fixed. Additionally LocalTaskService was improved to be thread safe(r) as it will create task service session per method call. LocalTaskService should always be used with JTA environment to ensure multiple methods executed on LocalTaskService instance will share same persistence context

Comment 5 Amana 2013-03-25 14:49:52 UTC
What BRMS version will it be included for ? Since I can see in jira that it has been fixed on jBPM 6.0, I can conclude it would be available for BRMS 6, right ?

Comment 6 Amana 2013-04-10 12:12:48 UTC
Will it be fixed in JBoss BRMS 6?

Comment 7 Kris Verlaenen 2013-04-10 13:04:05 UTC
Yes, since it is already fixed in the latest community version, it will be picked up for BPMS 6.


Note You need to log in before you can comment on or make changes to this bug.